com.mapinfo.midev.language.aggregation

## Class AggregatingSearch

- java.lang.Object
- - com.mapinfo.midev.language.aggregation.AggregatingSearch

All Implemented Interfaces:
  ISearch

    public final class AggregatingSearch
    extends Object
    implements ISearch

An `ISearch` that is composed of aggregations in the projection list of the query with an optional `IFilter` (i.e. WHERE clause). The results of the search may also be ordered either in ascending or descending order.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`IFilter` `getFilter()` Returns the IFilter to apply to the aggregation before actually aggregating.
`ILanguage` `getLanguage()` Returns `AggregationLanguage.getInstance()`
`Integer` `getLimit()` Returns the limit for the search.
`Integer` `getOffset()` Returns the offset for the search.
`String` `getOrderByAttributeName()` Returns the attribute to order the results by.
`OrderByDirection` `getOrderByDirection()` Returns the direction to order the results by.
`Double` `getScale()` Returns the scale for the search.
`AggregatingSelectList` `getSelectList()` Returns the select list for the search.
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getLanguage

    public ILanguage getLanguage()

Returns `AggregationLanguage.getInstance()`

Specified by:
  `getLanguage` in interface `ISearch`
Returns:
  `AggregationLanguage.getInstance()`

#### getSelectList

    public AggregatingSelectList getSelectList()

Returns the select list for the search.

Returns:
  the select list for the search.

#### getFilter

    public IFilter getFilter()

Returns the IFilter to apply to the aggregation before actually aggregating. Analagous to the WHERE clause in a search with aggregations in SQL.

Returns:
  the IFilter to apply to the aggregation before actually aggregating.

#### getLimit

    public Integer getLimit()

Returns the limit for the search.

Returns:
  the limit for the search.

#### getOffset

    public Integer getOffset()

Returns the offset for the search.

Returns:
  the offset for the search.

#### getScale

    public Double getScale()

Returns the scale for the search.

Returns:
  the scale for the search

#### getOrderByAttributeName

    public String getOrderByAttributeName()

Returns the attribute to order the results by.

Returns:
  the attribute to order the results by.

#### getOrderByDirection

    public OrderByDirection getOrderByDirection()

Returns the direction to order the results by.

Returns:
  the direction to order the results by.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`